import matplotlib.pyplot as plt
import pandas
from pymlbenchmark.plotting import plot_bench_results

def custom_label_fct(la):
    la = label_fct(la)
    la = la.replace("edims=(", "edims=(N, ")
    return la

name = "../../onnx/results/bench_plot_onnxruntime_reduce_sum.perf.csv"
df = pandas.read_csv(name)
plot_bench_results(df, row_cols='edims', col_cols='axes',
                   x_value='N', cmp_col_values=('lib', 'npy'),
                   title="Benchmark ReduceSum",
                   label_fct=custom_label_fct)

plt.suptitle("Acceleration onnxruntime / numpy for ReduceSum")
plt.show()